/*
 * This file was original part of Timepedia Chronoscope.
 *
 * Copyright (C) Timepedia
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package org.gwt.speedchart.client.graph.domain;

/**
 * Factory for obtaining {@link DateTickFormatter} objects that provide 
 * calendar logic for rendering date/time domain ticks.
 * 
 * @author chad takahashi
 */
public final class DateTickFormatterFactory extends TickFormatterFactory {

  public DateTickFormatterFactory() {
  }

  protected TickFormatter createRootTickFormatter() {
    return new MilleniumTickFormatter();
  }
  
}
